#version 330 core

in vec2 texCoord;
in vec4 vertexFragColor;
out vec4 fragColor;
uniform sampler2D texture0;
uniform float time = 1.0;
uniform vec4 color = vec4(1,1,1,1);
uniform vec2 speed = vec2(1,1);
uniform vec2 magnitude = vec2(0.01,0.01);
void main()
{
	vec2 coord=texCoord;
	coord.s += sin(coord.t*5 + time*speed.x)*magnitude.x;
	coord.t += cos(coord.s*10 + time*speed.y)*magnitude.y;
    fragColor = texture(texture0, coord) * color;
}
